# $Id: smeserver-groupoffice.spec,v 1.6 2008/11/29 03:11:22 dungog Exp $
# Authority: berdie
# Name: Dietmar Berteld

%define name smeserver-groupoffice
%define version 2.18.21
%define release 1
Summary: smserver rpm to setup mysql database and web link for groupoffice groupware
Name: %{name}
Version: %{version}
Release: %{release}%{?dist}
License: GNU GPL version 2
URL: http://wiki.contribs.org/GroupOffice
Group: SMEserver/addon
Source: %{name}-%{version}.tar.gz
#Patch0:  smeserver-groupoffice-1.0-rm80opt.patch
BuildArchitectures: noarch
BuildRoot: /var/tmp/%{name}-%{version}
BuildRequires: e-smith-devtools >= 1.13.1-03
Requires: e-smith-release >= 7.0
Requires: groupoffice
AutoReqProv: no

%description
smserver rpm to setup mysql database and web link for groupoffice groupware

%changelog
* Thu Dec 4 2008 Dietmar Berteld <dietmar@berteld.com>
- initial release
- [2.18.21-1]

%prep
%setup
#%patch0 -p1

%build
mkdir -p root/etc/e-smith/db/accounts/defaults/groupoffice
echo "reserved" > root/etc/e-smith/db/accounts/defaults/groupoffice/type

mkdir -p root/etc/e-smith/db/configuration/defaults/groupoffice
echo "GroupOffice Groupware" > root/etc/e-smith/db/configuration/defaults/groupoffice/Name
echo "global" > root/etc/e-smith/db/configuration/defaults/groupoffice/PublicAccess
echo "enabled" > root/etc/e-smith/db/configuration/defaults/groupoffice/status
echo "groupoffice" > root/etc/e-smith/db/configuration/defaults/groupoffice/DbName
echo "gofficeuser" > root/etc/e-smith/db/configuration/defaults/groupoffice/DbUser
echo "on" > root/etc/e-smith/db/configuration/defaults/groupoffice/HTTPS
echo "groupoffice" > root/etc/e-smith/db/configuration/defaults/groupoffice/URL

mkdir -p root/etc/e-smith/templates.metadata/etc/e-smith/sql/init
echo "PERMS=0750" > root/etc/e-smith/templates.metadata/etc/e-smith/sql/init/80groupoffice

#only needed so it is removed afterwards
mkdir -p root/opt/groupoffice/html
touch root/opt/groupoffice/html/config.php
touch root/opt/groupoffice/html/auth_sources.inc

%install
rm -rf $RPM_BUILD_ROOT
(cd root   ; find . -depth -print | cpio -dump $RPM_BUILD_ROOT)
rm -f %{name}-%{version}-filelist
/sbin/e-smith/genfilelist $RPM_BUILD_ROOT \
    > %{name}-%{version}-filelist
echo "%doc COPYING"  >> %{name}-%{version}-filelist

%clean
cd ..
rm -rf %{name}-%{version}

%pre
%preun

%post
/etc/e-smith/events/actions/initialize-default-databases
/sbin/e-smith/expand-template /etc/e-smith/sql/init/80groupoffice
/etc/rc.d/init.d/mysql.init start
/sbin/e-smith/expand-template /etc/httpd/conf/httpd.conf
/sbin/e-smith/expand-template /opt/groupoffice/html/config.php
/sbin/e-smith/expand-template /opt/groupoffice/html/auth_sources.inc
/usr/bin/sv h /service/httpd-e-smith
chmod -R 775 /opt/groupoffice/{files,home,tmp}
chown -R www.www /opt/groupoffice/home/

echo ""
echo "see wiki.contribs.org/GroupOffice"

%postun
#uninstall
if [ $1 = 0 ] ; then
 /sbin/e-smith/expand-template /etc/httpd/conf/httpd.conf
 /usr/bin/sv h /service/httpd-e-smith
fi

%files -f %{name}-%{version}-filelist
%defattr(-,root,root)

